import { http, Method } from '@/utils/request.js'

/**
 * 根据设备类型获取设备列表
 * @param {Object} params - 查询参数
 * @returns {Promise} 设备列表
 */
export function listWeather(params) {
  return http.request({
    url: `/base/weather/listWeatherStatisticsJyhy`,
    method: Method.POST,
    data: params
  });
}

/**
  * 获取批次详细信息
*/
export function getTraceDetail(id){
  return http.request({
    url: `/base/batch/${id}`,
    method: Method.GET,
    needToken: true
  })
}